Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.nanocontainer.reflection
Class DefaultContainerRecorderTestCase

    java.lang.Object
      junit.framework.Assert
          junit.framework.TestCase
              org.nanocontainer.reflection.DefaultContainerRecorderTestCase

All Implemented Interfaces:
  junit.framework.Test

    public class DefaultContainerRecorderTestCase

extends junit.framework.TestCase

Author:
  Konstantin Pribluda ( konstantin.pribluda(at)infodesire.com ), Aslak Hellesøy

Constructor Summary
`DefaultContainerRecorderTestCase()`

Method Summary
`void` | `testInvocationsCanBeRecordedAndReplayedOnADifferentContainerInstance()`
`void` | `testRecorderWorksAfterSerialization()`
`void` | `testXMLRecorderHierarchy()`

Methods inherited from class junit.framework.TestCase
`countTestCases, createResult, getName, run, run, runBare, runTest, setName, setUp, tearDown, toString`

Methods inherited from class junit.framework.Assert
`assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertFalse, assertFalse, assertNotNull, assertNotNull, assertNotSame, assertNotSame, assertNull, assertNull, assertSame, assertSame, assertTrue, assertTrue, fail, fail`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### DefaultContainerRecorderTestCase

    public DefaultContainerRecorderTestCase()

Method Detail

### testInvocationsCanBeRecordedAndReplayedOnADifferentContainerInstance

    public void testInvocationsCanBeRecordedAndReplayedOnADifferentContainerInstance()
                                                                              throws Exception

  Throws:
    `Exception`

### testRecorderWorksAfterSerialization

    public void testRecorderWorksAfterSerialization()
                                             throws IOException,
                                                    ClassNotFoundException,
                                                    IllegalAccessException,
                                                    InvocationTargetException

  Throws:
    `IOException`
    `ClassNotFoundException`
    `IllegalAccessException`
    `InvocationTargetException`

### testXMLRecorderHierarchy

    public void testXMLRecorderHierarchy()
                                  throws ClassNotFoundException

  Throws:
    `ClassNotFoundException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2007 Codehaus. All Rights Reserved.